Bug 123287 - Custom keyboard shortcuts not working
Summary: Custom keyboard shortcuts not working
Status: RESOLVED INSUFFICIENTDATA
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.2.0.3 release
Hardware: x86-64 (AMD64) Mac OS X (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Shortcuts-Mac
  Show dependency treegraph
 
Reported: 2019-02-09 11:53 UTC by vic.orgos+bugslibreoffice
Modified: 2019-09-19 03:16 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description vic.orgos+bugslibreoffice 2019-02-09 11:53:53 UTC
On Windows I use A LOT of custom keyboard shortcuts and have replaced the defaults as I am running out of meaningful combinations. So CNTRL+1-4 do important functions for my workflow.

In Writer on macOS, the shortcuts CMD+1-4 CAN be assigned to my macros, and the customize dialog shows them as mapped, but only some work. For example CMD+3 doesnt but CMD+4 works. Strangely, CMD+3 works in Calc.

With out the ability to remap these shortcuts I literally cannot use the newer versions of LibreOffice for macOS and have to revert back to v4.4.7.2 

Cheers.
Comment 1 Alex Thurgood 2019-02-13 09:05:14 UTC
@Vic : we would need more information than what you have provided :

- is it the shortcut that doesn't actually fire, or is it the macro ?
- if you assign Cmd-4 to a different function, instead of a macro, does that then work ?

Unfortunately, there is currently not enough information available in your report to be able to process this report.

Setting to NEEDINFO pending detailed instructions on how to reproduce.
Comment 2 Alex Thurgood 2019-02-13 09:08:46 UTC
@Vic : please also provide your system locale, keyboard and LO language settings.

There are already several known shortcut bugs specific to macOS, some of which are dependent on the system language, and keyboard used.
Comment 3 QA Administrators 2019-08-19 07:03:01 UTC Comment hidden (obsolete)
Comment 4 QA Administrators 2019-09-19 03:16:57 UTC
Dear vic.orgos+bugslibreoffice,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INSUFFICIENTDATA due to inactivity and
a lack of information which is needed in order to accurately
reproduce and confirm the problem. We encourage you to retest
your bug against the latest release. If the issue is still
present in the latest stable release, we need the following
information (please ignore any that you've already provided):

a) Provide details of your system including your operating
   system and the latest version of LibreOffice that you have
   confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED
and we will attempt to reproduce the issue. Please do not:

a) respond via email 

b) update the version field in the bug or any of the other details
   on the top section of our bug tracker

Warm Regards,
QA Team

MassPing-NeedInfo-FollowUp